<?PHP
/************************************************************************/
/* NPDS V : Net Portal Dynamic System !                                 */
/* ===========================                                          */
/* TD-LivredOr v1.0                                                     */
/* Copyright  2005 by Tribal-Dolphin                                   */
/* jeremie@tribal-dolphin.net - http://www.tribal-dolphin.net           */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/* ____________________________________________________________________ */
/*                                                                      */
/*  TD-LivredOr v2.0 MI                                                 */
/*                                                                      */
/* - Mise au normes XHTML						                        */
/* - Modifications pour inclure une securite par anti-spam              */
/* - Inclusion dune page derreur
/*																		*/
/* by xgonin, Septembre 2007 - http://www.xgonin.ch						*/
/* pour Modules NPDS - http://modules.npds.org							*/
/************************************************************************/

function Print_Javascript() {
 global $nb_maxcaract, $auth_spambot, $auth_crypto;
 global $req_name, $req_mail, $req_place, $req_url;

  echo "<script language=\"javascript\" type=\"text/javascript\">\n<!--\n";
  echo "var lang_max_car = \"".tdlivror_trans("caractere(s) dans votre message")."\";\n";
  echo "var lang_reste   = \"".tdlivror_trans("Vous pouvez encore utiliser")."\";\n";
  echo "var max_car      = $nb_maxcaract;\n";
  echo "var regExpBeginning = /^\s+/;\n";
  echo "var regExpEnd       = /\s+$/;\n";
  echo "// Supprime les espaces inutiles en dbut et fin de la chane passe en paramtre.\n";
  echo "function trim(aString) {\n";
  echo "  return aString.replace(regExpBeginning, \"\").replace(regExpEnd, \"\");\n";
  echo "}\n";
  echo "\n";
  echo "// Supprime les espaces inutiles en dbut de la chane passe en paramtre.\n";
  echo "function ltrim(aString) {\n";
  echo "  return aString.replace(regExpBeginning, \"\");\n";
  echo "}\n";
  echo "\n";
  echo "// Supprime les espaces inutiles en fin de la chane passe en paramtre.\n";
  echo "function rtrim(aString) {\n";
  echo "  return aString.replace(regExpEnd, \"\");\n";
  echo "}\n";
  echo "function storeCaret (textEl){\n";
  echo "   if (textEl.createTextRange) \n";
  echo "   textEl.caretPos = document.selection.createRange().duplicate();\n";
  echo "}\n";
  echo "function verif_mail(adresse) {\n";
  echo "   var place = adresse.indexOf(\"@\",1);\n";
  echo "   var point = adresse.indexOf(\".\",place+1);\n";
  echo "   if ((place > -1)&&(adresse.length >2)&&(point > 1))\n";
  echo "      return true;\n";
  echo "   else\n";
  echo "      return false;\n";
  echo "}\n";
  echo "function verif_add(){\n";
  echo "   var F = document.getElementById(\"form_add_guest\");\n";
  echo "   var nom = trim(F.nom.value);\n";
  echo "   F.nom.value = nom;\n";
  echo "   var message = trim(F.message_textarea.value);\n";
  echo "   F.message_textarea.value = message;\n";
  echo "   var mail= trim(F.email.value);\n";
  echo "   F.email.value = mail;\n";
  echo "   var site= trim(F.site.value);\n";
  echo "   F.site.value = site;\n";
  echo "   var ville_pays= trim(F.ville_pays.value);\n";
  echo "   F.ville_pays.value = ville_pays;\n";
  if($auth_crypto) {
    echo "   var code= F.code.value;\n";
	echo "   F.code.value = code;\n";
  }
  if($auth_spambot) {
    echo "   var asb_reponse= F.asb_reponse.value;\n";
	echo "   F.asb_reponse.value = asb_reponse;\n";
  }
  if($req_name) {
    echo "   if (!nom){\n";
    echo "      alert(\"".tdlivror_trans("Veuillez indiquer votre nom")."\");\n";
    echo "      return false;\n";
    echo "   }\n";
  }
  if($req_mail) {
    echo "   if (!mail){\n";
    echo "      alert(\"".tdlivror_trans("Veuillez indiquer votre email")."\");\n";
    echo "      return false;\n";
    echo "   }\n";
  }
  echo "   if (!verif_mail(mail) && mail){\n";
  echo "      alert(\"".tdlivror_trans("Il doit y avoir une erreur dans votre email ?")."\");\n";
  echo "      return false;\n";
  echo "   }\n";
  if($req_url) {
    echo "   if (!site){\n";
    echo "      alert(\"".tdlivror_trans("Veuillez indiquer l\'URL de votre site")."\");\n";
    echo "      return false;\n";
    echo "   }\n";
  }  
  if($req_place) {
    echo "   if (!ville_pays){\n";
    echo "      alert(\"".tdlivror_trans("Veuillez indiquer votre ville / pays")."\");\n";
    echo "      return false;\n";
    echo "   }\n";
  }   
  echo "   if (!message){\n";
  echo "      alert(\"".tdlivror_trans("Veuillez laisser votre message")."\");\n";
  echo "      return false;\n";
  echo "   }\n";
  if($auth_crypto) {  
    echo "   if (!code){\n";
    echo "      alert(\"".tdlivror_trans("Veuillez saisir le code antispam")."\");\n";
    echo "      return false;\n";
    echo "   }\n";
  }
  if($auth_spambot) {
    echo "   if (!asb_reponse){\n";
    echo "      alert(\"".tdlivror_trans("Veuillez saisir le code antispam")."\");\n";
    echo "      return false;\n";
    echo "   }\n";
  }
  echo "}\n";
  echo "function verifCar(objet){\n";
  echo "    if (max_car > 0){\n";
  echo "		if (objet.value.length > max_car)\n";
  echo "			objet.value = objet.value.substring(0, max_car);\n";
  echo "		var F = document.getElementById(\"form_add_guest\");\n";
  echo "		F.reste_car.value = lang_reste + \" \" + (max_car - objet.value.length) + \" \" + lang_max_car;\n";
  echo "	}\n";
  echo "}\n";
  echo "function emoticon(text) {\n";
  echo "   text = ' ' + text + ' ';\n";
  echo "   var F = document.getElementById(\"form_add_guest\");\n";
  //echo "   var message = F.message_textarea.value;\n";
  echo "   var txtarea = F.message_textarea;\n";
  echo "   if (txtarea.createTextRange && txtarea.caretPos) {\n";
  echo "      var caretPos = txtarea.caretPos;\n";
  echo "      caretPos.text = caretPos.text.charAt(caretPos.text.length - 1) == ' ' ? text + ' ' : text;\n";
  echo "      txtarea.focus();\n";
  echo "   } else {\n";
  echo "      txtarea.value  += text;\n";
  echo "      txtarea.focus();\n";
  echo "   }\n";
  echo "}\n";
  echo "//-->\n";
  echo "</script>\n";
}

function pagination ($top, $page, $topsuivant, $nb_affichage, $nbe) {
   global $ModPath, $ModStart;
   if ($top==1) {
     $nb_pages = ceil($nbe / $nb_affichage);
	 $nec = 1; $pgrapido = "";
     while($nec <= $nb_pages) {
       if ($nec != 1)
         $pgrapido.=" | ";
	   if($nec == $page) {
	     $pgrapido.= "<b class=\"rouge\">$nec</b>";
	   } else {
	     $pgrapido.= "<a href=\"".$topsuivant."&amp;page=$nec\" class=\"noir\"><b>$nec</b></a>";
	   }
	   $nec++;
     }
     echo "[ $pgrapido ]";
   }
}

?>
